Subject: Re: [PATCH v2 00/12] t: exercise Git/JGit reftable compatibility

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Apr 2024 22:34:53 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Apr 08, 2024 at 07:17:08PM -0700, Junio C Hamano wrote:
>> Patrick Steinhardt <[email-masked]> writes:
>> 
>> > CI runs for this series:
>> >
>> >     - https://github.com/git/git/actions/runs/8595241646/
>> >     - https://gitlab.com/gitlab-org/git/-/pipelines/1243766428
>> 
>> Thanks.
>> 
>> When this is queued on 'seen', I seem to be getting test errors from
>> t0610.  I suspect that it is not a breakage in this series, but the
>> fact that this series enables reftable tests without setting any
>> GIT_TEST_ environment variables, that causes an existing breakage
>> (or two) more visible.  I did not have time to locate which (other)
>> topic introduces the breakage, though.
>
> Interesting, I cannot reproduce any failures with the current state of
> seen (17ff004052 (Merge branch 'ps/ci-test-with-jgit' into seen,
> 2024-04-08)). Was this on your local machine or in CI? Which platform
> are you using? Could you maybe provide logs of the failing tests?

Local execution on some variant of Debian testing.

The tests that fail are t0610.29 and t0610.30, both of which are
"honors core.sharedRepository" with umask 002 and umask 022.
They expect "-rw-rw-r--", but actually get "-rw-rw----" when
the user's umask is 077 (or 007 for that matter).

If you add "umask 002" or "umask 022" near the beginning of the
script (e.g. before including test-lib.sh), the tests pass even when
the user's umask is 077 or 007 when the tests are run, of course, so
there is something the test must be doing in the test repository
before it forces the umask to 002/022.